﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ReferenceManager : MonoBehaviour {

	static public ReferenceManager singleton;


	void Awake(){
		singleton = this;
	}


	[Header("Btns Sprites Vars")]
	public Sprite recordBtn1NotPressed;
	public Sprite recordBtn1Pressed;
	public Sprite recordBtn2NotPressed;
	public Sprite recordBtn2Pressed;
	public Sprite recordBtnDisabled;

	[Header("Btn vars")]
	public Button recordBtn;
	public Button replayBtn;

	[Header("Audio vars")]
	public AudioSource audioSource;

	[Header("Timers txts vars")]
	public Text timer1Text;
	public Text timer2Text;

	[Header("Ui txts vars")]
	public Text player1Text;
	public Text player2Text;
	public Text player1HPText;
	public Text player2HPText;
	public Text startFightText;
	public Text MsgText;

	[Header("others")]
	public GameObject spectrumLine;
	public GameObject player1wavePrefab;
	public GameObject player2wavePrefab;

}
